GET
/v1/organizations/:organizationId/inventory-items/
Copy to clipboard
Get list of inventory items
Required Permission: inventory.item.management.list
Get list of inventory items
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
page
integer
optional
limit
integer
optional
sort
string
optional
search
string
optional
hasEnrolledDevice
boolean
optional
showAll
boolean
optional
basic.status
string
optional
basic.name
string
optional
basic.type
string
optional
basic.description
string
optional
basic.location
string
optional
basic.owner
string
optional
basic.classification
string
optional
hardware.manufacturer
string
optional
hardware.model
string
optional
hardware.osName
string
optional
hardware.osVersion
string
optional
network.hostname
string
optional
network.ipAddress
string
optional
network.macAddress
string
optional
purchase.provider
string
optional
purchase.order
string
optional
purchase.orderDate
string
optional
purchase.pricing
number
optional
purchase.frequency
string
optional
purchase.partNumber
string
optional
purchase.currency
string
optional
identifiers.serialNumber
string
optional
identifiers.imei
string
optional
identifiers.udid
string
optional
identifiers.foreignId
string
optional
seats.available
number
optional
seats.total
number
optional
lifecycle.warrantyExpirationDate
string
optional
lifecycle.expectedUsefulLife
number
optional
deviceInfo.mdmDeviceId
string
optional
deviceInfo.deviceState
string
optional
members.email
string
optional
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
items
array [object]
optional
id
string
optional
organizationId
string
optional
members
array [object]
optional
type
string
optional
memberId
string
optional
userId
string
optional
employeeId
string
optional
mdmUserId
string
optional
email
string
optional
fromMdmDevice
boolean
optional
basic
object
optional
status
string
optional
type
string
required
name
string
optional
description
string
optional
location
string
optional
owner
string
optional
classification
string
optional
hardware
object
optional
manufacturer
string
optional
model
string
optional
osName
string
optional
osVersion
string
optional
network
object
optional
hostname
string
optional
ipAddress
string
optional
macAddress
string
optional
purchase
object
optional
provider
string
optional
order
string
optional
orderDate
string
optional
pricing
integer
optional
frequency
string
optional
partNumber
string
optional
currency
string
optional
identifiers
object
optional
inventoryId
string
optional
serialNumber
string
optional
imei
string
optional
udid
string
optional
foreignId
string
optional
seats
object
optional
total
integer
optional
available
integer
optional
lifecycle
object
optional
warrantyExpirationDate
string
optional
expectedUsefulLife
integer
optional
deviceInfo
object
optional
deviceType
string
optional
mdmDeviceId
string
optional
deviceState
string
optional
metadata
object
optional
notes
array [object]
optional
id
string
optional
note
string
optional
user
object
optional
id
string
optional
email
string
optional
firstName
string
optional
lastname
string
optional
picture
string
optional
createdAt
string
optional
mdmDevice
object
optional
id
string
optional
summary
object
optional
type
string
optional
state
string
optional
inferredFields
array [string]
optional
createdBy
string
optional
updatedAt
string
optional
createdAt
string
optional
totalDocs
integer
optional
limit
integer
optional
hasPrevPage
boolean
optional
hasNextPage
boolean
optional
page
integer
optional
totalPages
integer
optional
prevPage
integer
optional
nextPage
integer
optional
lean
boolean
optional
{
"status": true,
"data": {
"items": [
{
"id": "string",
"organizationId": "string",
"members": [
{
"type": "user",
"memberId": "string",
"userId": "string",
"employeeId": "string",
"mdmUserId": "string",
"email": "[email protected]",
"fromMdmDevice": true
}
],
"basic": {
"status": "active",
"type": "device",
"name": "string",
"description": "string",
"location": "string",
"owner": "string",
"classification": "high"
},
"hardware": {
"manufacturer": "string",
"model": "string",
"osName": "macOS",
"osVersion": "string"
},
"network": {
"hostname": "string",
"ipAddress": "string",
"macAddress": "string"
},
"purchase": {
"provider": "string",
"order": "string",
"orderDate": "2024-01-01T00: 00:00Z",
"pricing": 0,
"frequency": "once",
"partNumber": "string",
"currency": "string"
},
"identifiers": {
"inventoryId": "string",
"serialNumber": "string",
"imei": "string",
"udid": "string",
"foreignId": "string"
},
"seats": {
"total": 0,
"available": 0
},
"lifecycle": {
"warrantyExpirationDate": "2024-01-01T00: 00:00Z",
"expectedUsefulLife": 0
},
"deviceInfo": {
"deviceType": "string",
"mdmDeviceId": "string",
"deviceState": "active"
},
"metadata": {},
"notes": [
{
"id": "string",
"note": "string",
"user": {
"id": "string",
"email": "[email protected]",
"firstName": "string",
"lastname": "string",
"picture": "string"
},
"createdAt": "2024-01-01T00: 00:00Z"
}
],
"mdmDevice": {
"id": "string",
"summary": {},
"type": "emmDevice",
"state": "ACTIVE"
},
"inferredFields": [
"string"
],
"createdBy": "string",
"updatedAt": "2024-01-01T00: 00:00Z",
"createdAt": "2024-01-01T00: 00:00Z"
}
],
"totalDocs": 0,
"limit": 0,
"hasPrevPage": true,
"hasNextPage": true,
"page": 0,
"totalPages": 0,
"prevPage": 0,
"nextPage": 0,
"lean": true
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}